package com.jeethink.manage.service.impl;

import java.util.HashMap;
import java.util.List;

import com.jeethink.bean.domain.ArchivesMaster;
import com.jeethink.common.constant.Constants;
import com.jeethink.receive.service.IArchivesService;
import com.jeethink.receive.vo.ArchivesVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jeethink.manage.service.ISearchService;

/**
 * 档案检索Service业务层处理
 * 
 * @author sh
 * @date 2022-11-10
 */
@Service
public class SearchServiceImpl implements ISearchService
{
    @Autowired
    private IArchivesService archivesService;

    /**
     * 查询档案检索列表
     * 
     * @param archives 档案检索
     * @return 档案检索
     */
    @Override
    public List<ArchivesMaster> selectSearchList(ArchivesMaster archives)
    {
        archives.setNowStatus(Constants.ARCHIVES_STATUS_RK);
        return archivesService.selectArchivesList(archives);
    }

    @Override
    public ArchivesVO selectArchivesById(String archivesId) {

        return archivesService.selectArchivesById(archivesId);
    }

    @Override
    public List<HashMap> selectArchivesFileById(String archivesId) {
        return archivesService.selectArchivesFileById(archivesId);
    }
}
